const Ajv = require('ajv');

class input_validator {
    constructor(config){
        this.schema = config;
        return (req,res,next) =>{
            const ajv = new Ajv();
            let validator = ajv.compile(this.schema);
            let valid = validator(req.parseData);
            if(valid){
                next();
            }
            else{
                res.statusCode = 400;
                res.setHeader("Content_Type" , "application/json");
                res.end(JSON.stringify({error : "input is not valid!!"}));
            }
        }
    }
}

module.exports = {
    input_validator,
}